### Function

# Fwupd checksum_get_by_kind

#### Declaration [src]

    const gchar*
    fwupd_checksum_get_by_kind (
      GPtrArray* checksums,
      GChecksumType kind
    )

#### Description [src]

Gets a specific checksum kind.

Available since: | 0.9.4

#### Parameters

`checksums` | An array of `utf8`
| Checksums.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`kind` | `GChecksumType`
| A checksum type, e.g. `G_CHECKSUM_SHA512`

#### Return value

Returns: | `const gchar*`
| A checksum from the array, or `NULL` if not found.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.